X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How can I downgrade my firefox to an earlier version? (such as 2.0)

Posted

How can I re-download firefox 2.0? I need it for a certain site.

== I looked for firefox downloads, but all I got were links to 3.6....

Additional System Details

Installed Plug-ins

  • -Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Gecko default plugin
  • iPhoto6
  • DivX Web Player version 1.4.0.233
  • Shockwave Flash 10.0 r22
  • 3.0.50106.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2) Gecko/20100115 Firefox/3.6

More Information

Shawn
  • Moderator
41 solutions 524 answers

Please note that 2.0 is no longer supported and will not receive stability and security updates

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24404 answers

You are better off using Portable Firefox for websites that need an older version of Firefox, and continue to use a current version of Firefox for all other websites.

http://sourceforge.net/projects/osxportableapps/files/Portable%20Firefox%20OS%20X

cor-el
  • Top 10 Contributor
  • Moderator
10758 solutions 96832 answers

Use the portable version: http://sourceforge.net/projects/osxpo.../Portable%20Firefox%20OS%20X

larrywills 0 solutions 1 answers

Firefox 4.0 is just awful! I downgraded to 3.6.16 and am once again happy with Firefox which has been my main browser for years. If 4.0 becomes the only version available in the future, I will switch to Explorer

Larry Wills